Skip to main content
POST
Prepare removing a signer
POST /user/multisig/remove-signer/prepare builds the transaction that removes a signer. threshold is the number of signatures required for a withdrawal after the old signer is removed. Sign typedData and submit it to POST /user/multisig/remove-signer/execute.

Authorizations

x-sx-api-key
string
header
required

API key, sent as the x-sx-api-key header.

Body

application/json
safeAddress
string
required

Your proxy's Safe, from multisigSafeAddress on GET /user/proxy.

signer
string
required

Signer address to remove.

threshold
integer
required

Signatures required after this signer is removed.

Required range: x >= 1

Response

status
string

success or failure if the request succeeded or not

data
object
Last modified on October 1, 2026